/**************************************************************

tracklist_dlg.h (C-Munipack project)
The 'Plot track-list' dialog
Copyright (C) 2008 David Motl, dmotl@volny.cz

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

**************************************************************/

#ifndef CMPACK_MAKETRACKCURVE_DLG_H
#define CMPACK_MAKETRACKCURVE_DLG_H

#include <gtk/gtk.h>

#include "helper_classes.h"
#include "frameset_class.h"

// 
// Initial dialog
//
class CMakeTrackCurveDlg
{
public:
	CMakeTrackCurveDlg(GtkWindow *pParent);
	~CMakeTrackCurveDlg();

	void Execute(void);

private:
	GtkWindow	*m_pParent;
	GtkWidget	*m_pDlg, *m_ProcBox, *m_AllBtn, *m_SelBtn;

	bool OnResponseDialog(gint response_id);

	static void response_dialog(GtkDialog *pDlg, gint response_id, CMakeTrackCurveDlg *pMe);
};

#endif
